Subject: Re: [ofa-general][PATCH] mlx4_core: Synch catastrophic flow with module unload

From: Roland Dreier <[email-masked]>
Date: Mon, 13 Jul 2009 12:45:32 -0700

> Applied, thanks.

Dave, please don't apply mlx4_core patches without giving me a chance to
review them.  In this case the patch looks buggy to me: I don't see how
it handles, say, hot remove of one device -- it only handles module
removal.  And I would hope we could fix this without adding a global
symbol as namespace polluting as "drv_mutex".

Yevgeny didn't even send this patch to you; he just cc'ed netdev as a
courtesy.  However I understand that the physical location of mlx4_core
in drivers/net makes it easy to do this.  Maybe this is the best
argument in favor of moving the mlx4_core stuff to drivers/shared?

 - R.